Pompem – Exploit and Vulnerability Finder

0
7
Pompem - Exploit and Vulnerability Finder

Pompem is an open supply device, designed to automate the seek for Exploits and Vulnerability in a very powerful databases. Developed in Python, has a system of superior search, that assist the work of pentesters and moral hackers. In the present model, it performs searches in PacketStorm safety, CXSecurity, ZeroDay, Vulners, National Vulnerability Database, WPScan Vulnerability Database …

Screenshots

Source code
You can obtain the newest tarball by clicking right here or newest zipball by clicking right here.
You may obtain Pompem instantly from its Git repository:

$ git clone https://github.com/rfunix/Pompem.git

Dependencies
Pompem works out of the field with Python 3.5 on any platform and requires the next packages:

Installation
Get Pompem up and operating in a single command:

$ pip3.5 set up -r necessities.txt

You could tremendously profit from utilizing virtualenv, which isolates packages put in for each challenge. If you’ve got by no means used it, merely examine [this tutorial] (http://docs.python-guide.org/en/latest/dev/virtualenvs) .

Usage
To get the listing of primary choices and details about the challenge:

$ python3.5 pompem.py -h

Options:
  -h, --help                      present this assist message and exit
  -s, --search <key phrase,key phrase,key phrase>  textual content for search
  --txt                           Write txt File
  --html                          Write html File

Examples of use:

$ python3.5 pompem.py -s WordPress
$ python3.5 pompem.py -s Joomla --html
$ python3.5 pompem.py -s "Internet Explorer,joomla,wordpress" --html
$ python3.5 pompem.py -s FortiGate --txt
$ python3.5 pompem.py -s ssh,ftp,mysql

MoreTip.com

LEAVE A REPLY

Please enter your comment!
Please enter your name here

This site uses Akismet to reduce spam. Learn how your comment data is processed.